Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security
Class InvalidSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.utils.NestedRuntimeException
                              |
                              +--weblogic.xml.security.InvalidSecurityException

public class InvalidSecurityException
extends weblogic.utils.NestedRuntimeException

InvalidSecurityException This exception is thrown when security processing has completed but processing encountered invalid security (e.g. bad signature). These exceptions are not expected to be recoverable. As a result, they are runtime exceptions.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`InvalidSecurityException()`
`InvalidSecurityException(java.lang.String msg)`
`InvalidSecurityException(java.lang.String msg, java.lang.Throwable nested)`
`InvalidSecurityException(java.lang.Throwable nested)`

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSecurityException

    public InvalidSecurityException()

### InvalidSecurityException

    public InvalidSecurityException(java.lang.String msg)

### InvalidSecurityException

    public InvalidSecurityException(java.lang.Throwable nested)

### InvalidSecurityException

    public InvalidSecurityException(java.lang.String msg,
                                    java.lang.Throwable nested)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD